#!/bin/sh

# testsuite - run installation tests
#
# Copyright (C) 2019 Arthur de Jong
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA

# Fail on any errors
set -e

# Redirect stderr to stdout
exec 2>&1

# Run convert CSV to PSKC with encryption, remove encryption and back to CSV
echo "CSV <-> PSKC conversion..."
csv2pskc -p TestsAreNice debian/tests/test.csv | \
  pskc2pskc -p TestsAreNice - | \
  pskc2csv - |
  diff -Nauwi - debian/tests/test.csv

echo "OK"
exit 0
